---
- name: Check if any GKE variables have changed
  fail:
    msg: "There is an existing deployment using a different gke.{{ item }} variable.
    {{ how_to_fix_text }}
    \n
    \nexisting:
    \n\tgke.{{ item }}: \"{{ ansible_local['gke'][item] }}\"
    \n
    \nnew:
    \n\tgke.{{ item }}: \"{{ gke[item] }}\"\n\n"
  loop:
    - project_id
    - region
    - zone
    - gcp_t4_bucketname
    - cluster_name
  when: ansible_local['gke'] is defined and ansible_local['gke'][item] != gke[item]

- name: Save gke facts
  copy:
    content: "{{ gke | to_nice_json }}"
    dest: "{{ (facts_dir, 'gke.fact') | path_join }}"
